%bcond_without bootstrap

%global packname diffobj
%global packver  0.3.4
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.3.4
Release:          1
Summary:          Diffs for R Objects

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-crayon >= 1.3.2
BuildRequires:    R-tools
BuildRequires:    R-methods
BuildRequires:    R-utils
BuildRequires:    R-stats
%if %{without bootstrap}
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
%endif

%description
Generate a colorized diff of two R objects for an intuitive visualization
of their differences.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{without bootstrap}
export LANG=C.UTF-8
%{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/COPYRIGHTS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/css
%{rlibdir}/%{packname}/script


%changelog
* Tue Jun 14 2022 misaka00251 <misaka00251@misakanet.cn> - 0.3.4-1
- Init package (Thanks to fedora team)
